Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PropertyNameValidator Class Reference

`#include <ImportCSVDataConfigurationWidget.h>`

Collaboration diagram for tlp::PropertyNameValidator:

[legend]
List of all members.

## Public Member Functions

- PropertyNameValidator (ImportCSVDataConfigurationWidget *parent)
- virtual ~PropertyNameValidator ()
- QValidator::State validate (QString &input, int &pos) const

## Constructor & Destructor Documentation

tlp::PropertyNameValidator::PropertyNameValidator | ( | ImportCSVDataConfigurationWidget * | parent | ) | `[inline]`

virtual tlp::PropertyNameValidator::~PropertyNameValidator | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

QValidator::State tlp::PropertyNameValidator::validate | ( | QString & | input,
|  | int & | pos
| ) | const

| Validate the new property name. Check if any property does not have the same name

Tulip Software by LaBRI Visualization Team 2001 - 2010